

/*---------------------------------------------------------
   Initializes the effect. The data is a table of data 
   which was passed from the server.
---------------------------------------------------------*/
function EFFECT:Init( data )

	local Pos = data:GetOrigin()
			local Emitter = ParticleEmitter(Pos)
				local p = Emitter:Add( "particles/fire1",Pos )
				p:SetVelocity( Vector(0,0,0) )
				p:SetDieTime( 4 )
				p:SetStartAlpha( 150 )
				p:SetEndAlpha( 0 )
				p:SetStartSize( 5 )
				p:SetEndSize( 2 )
				p:SetRoll( math.random( 0, 360 ) )
				p:SetRollDelta( math.random( -5.5, 5.5 ) )
			Emitter:Finish()
end

function EFFECT:Think( )

	// Die instantly
	--return false
	
end

function EFFECT:Render()

	// Do nothing - this effect is only used to spawn the particles in Init
	
end



