if( SERVER ) then
	AddCSLuaFile( "shared.lua" );
end

if( CLIENT ) then
	SWEP.PrintName = "Ryuujinjakka";
	SWEP.Slot = 3;
	SWEP.SlotPos = 0;
	SWEP.DrawAmmo = false;
	SWEP.DrawCrosshair = false;
end

SWEP.Author			= "Captain Pip"
SWEP.Instructions	= "Primary=stab Secondary=firestrike"
SWEP.Contact		= "www.randomroleplay.com"
SWEP.Purpose		= ""

SWEP.ViewModelFOV	= 62
SWEP.ViewModelFlip	= false

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true

SWEP.NextStrike = 0;
  
SWEP.ViewModel      = "models/weapons/v_gaywbar.mdl"
SWEP.WorldModel   = "models/weapons/w_gaywbar.mdl"
  
-------------Primary Fire Attributes----------------------------------------
SWEP.Primary.Delay			= 0.9 	--In seconds
SWEP.Primary.Recoil			= 0		--Gun Kick
SWEP.Primary.Damage			= 15	--Damage per Bullet
SWEP.Primary.NumShots		= 1		--Number of shots per one fire
SWEP.Primary.Cone			= 0 	--Bullet Spread
SWEP.Primary.ClipSize		= -1	--Use "-1 if there are no clips"
SWEP.Primary.DefaultClip	= -1	--Number of shots in next clip
SWEP.Primary.Automatic   	= true	--Pistol fire (false) or SMG fire (true)
SWEP.Primary.Ammo         	= "none"	--Ammo Type
 
-------------Secondary Fire Attributes-------------------------------------
SWEP.Secondary.Delay		= 0.9
SWEP.Secondary.Recoil		= 0
SWEP.Secondary.Damage		= 0
SWEP.Secondary.NumShots		= 1
SWEP.Secondary.Cone			= 0
SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic   	= false
SWEP.Secondary.Ammo         = "none"

util.PrecacheSound("weapons/knife/knife_deploy1.wav")
util.PrecacheSound("weapons/knife/knife_hitwall1.wav")
util.PrecacheSound("weapons/knife/knife_hit1.wav")
util.PrecacheSound("weapons/knife/knife_hit2.wav")
util.PrecacheSound("weapons/knife/knife_hit3.wav")
util.PrecacheSound("weapons/knife/knife_hit4.wav")
util.PrecacheSound("weapons/iceaxe/iceaxe_swing1.wav")

function SWEP:Initialize()
	if( SERVER ) then
		self:SetWeaponHoldType( "melee" );
	end
	self.Hit = { 
	Sound( "weapons/knife/knife_hitwall1.wav" )};
	self.FleshHit = {
  	Sound( "weapons/knife/knife_hit1.wav" ),
	Sound( "weapons/knife/knife_hit2.wav" ),
	Sound( "weapons/knife/knife_hit3.wav" ),
  	Sound( "weapons/knife/knife_hit4.wav" ) };

end

function SWEP:Precache()
end

function SWEP:Deploy()
	self.Owner:EmitSound( "weapons/knife/knife_deploy1.wav" );
	return true;
end

function SWEP:PrimaryAttack()
	if( CurTime() < self.NextStrike ) then return; end
	self.NextStrike = ( CurTime() + .5 );
 	local trace = self.Owner:GetEyeTrace();
	if trace.HitPos:Distance(self.Owner:GetShootPos()) <= 75 then
		if( trace.Entity:IsPlayer() or trace.Entity:IsNPC() or trace.Entity:GetClass()=="prop_ragdoll" ) then
			self.Owner:EmitSound( self.FleshHit[math.random(1,#self.FleshHit)] );
		else
			self.Owner:EmitSound( self.Hit[math.random(1,#self.Hit)] );
		end
			self.Owner:SetAnimation( PLAYER_ATTACK1 );
			self.Weapon:SendWeaponAnim( ACT_VM_HITCENTER );
				bullet = {}
				bullet.Num    = 1
				bullet.Src    = self.Owner:GetShootPos()
				bullet.Dir    = self.Owner:GetAimVector()
				bullet.Spread = Vector(0, 0, 0)
				bullet.Tracer = 0
				bullet.Force  = 1
				bullet.Damage = 25
			self.Owner:FireBullets(bullet) 
	else
		self.Owner:SetAnimation( PLAYER_ATTACK1 );
		self.Weapon:SendWeaponAnim( ACT_VM_HITCENTER );
		self.Weapon:EmitSound("weapons/iceaxe/iceaxe_swing1.wav")
	end
end

function SWEP:SecondaryAttack()
self.Weapon:SetNextPrimaryFire(CurTime() + .35)
local trace2 = self.Owner:GetEyeTrace()
	trace2.endpos = self.Owner:GetPos() + (self.Owner:GetAimVector() * 150)
	self.Weapon:SendWeaponAnim( ACT_VM_HITCENTER )

	local length = (self.Owner:GetShootPos() - trace2.Entity:GetPos()):Length()
	
	local trace3 = self.Owner:GetEyeTrace()
	
	if SERVER then
	if length <= 100 then
		if trace2.Entity:IsValid() then
			if trace2.Entity:IsNPC() or trace2.Entity:IsPlayer() then
			if trace2.Entity:IsNPC() and trace2.Entity:GetClass() == "npc_manhack" or trace2.Entity:GetClass() == "npc_cscanner" or trace2.Entity:GetClass() == "npc_rollermine" or trace2.Entity:GetClass() == "npc_turret_floor" or trace2.Entity:GetClass() == "npc_turret_ground" or trace2.Entity:GetClass() == "npc_turret_ceiling" then
					self.Weapon:EmitSound("weapons/crowbar/crowbar_impact1.wav")
				else
					self.Weapon:EmitSound("physics/flesh/flesh_impact_bullet"..math.random( 3, 5 )..".wav")
				end
				trace2.Entity:Ignite(10, 10)
				util.BlastDamage(self.Owner, self.Owner, trace2.HitPos, 5, 5)
			end
		end
	end 
	end

	self.Weapon:EmitSound("weapons/iceaxe/iceaxe_swing1.wav")
	if trace3.HitPos:Distance(self.Owner:GetShootPos()) <= 100 then
		if trace3.Entity:IsNPC() or trace3.Entity:IsPlayer() then return end
		self.Weapon:EmitSound("weapons/crowbar/crowbar_impact1.wav")
		util.BlastDamage(self.Owner, self.Owner, trace2.HitPos, 10, 25)
	return
	end
end